import React from 'react'
import { useSelector } from 'react-redux'
import { sendNormalized } from '../heatmapSlice'

const VisualizeButton = () => {
    const send = useSelector(sendNormalized)

    return send && (
        <div className="d-flex justify-content-center">
            <button type="button" className="btn btn-primary" onClick={send}>
                Visualize
            </button>
        </div>
    )
}

export default VisualizeButton