import React from 'react'
import { useDispatch } from 'react-redux'
import {addPresentationSlide} from './presentationSlice'

function getBase64(file, cb) {
    let reader = new FileReader();
    reader.readAsDataURL(file);
    reader.onload = function () {
        cb(reader.result)
    };
    reader.onerror = function (error) {
        console.log('Error: ', error);
    };
}

const ImportPresentation = () => {
    const dispatch = useDispatch()

    const uploadFiles = (e) => {
        
        let files = e.target.files
        
        for(var i = 0,f; f=files[i];i++)
        {
            let fileBase64 = '';
            let name = f.name;
            getBase64(f, (result) => {
            fileBase64 = result.replace("data:", "").replace(/^.+,/, "")
            dispatch(addPresentationSlide({file: fileBase64, file_name: name}))
            });

            
            //let url = window.URL.createObjectURL(f);
            //dispatch(addPresentationSlide({file: fileBase64, file_name: f.name}))
        }
       
    }    
  

    return(
        <div className="input-group mr-2">
            <div className="custom-file"  style={{maxWidth: "300px"}}>
            <input type="file" className="custom-file-input" onChange={uploadFiles} multiple/>
            <label className="custom-file-label" forhtml="fileImport">Choose file for upload</label>
            </div>
        </div>
    )
}

export default ImportPresentation

