import React from 'react'
import { useDispatch, useSelector } from 'react-redux'
import { addPresentationSlide, updateSlide , updateTime} from './presentationSlice'
import {connect} from 'react-redux'
const ListPresentationFiles = (props) => {
    const state = useSelector(addPresentationSlide)
    const current_slide = useSelector(updateSlide)
    const time = useSelector(updateTime)

    function listSlides()
    {
        let retlist= []
        for(var i = 0,f;f=state.payload.presentation.file_names[i];i++)
        { 
            if(i==current_slide.payload.presentation.current_slide)
                retlist.push(<tr><td><strong>{f}</strong></td><td>{parseFloat(time.payload.presentation.time[i]).toFixed(1)} s</td></tr>)
            else
            retlist.push(<tr><td>{f}</td><td>{parseFloat(time.payload.presentation.time[i]).toFixed(1)} s</td></tr>)
        }
        return retlist
    }
    
    return (
        <div>
            <table>
                {listSlides()}
            </table>
        </div>
    )
}



export default ListPresentationFiles